### Method

# ECal ComponentAlarmTrigger set_absolute

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_trigger_set_absolute (
      ECalComponentAlarmTrigger* trigger,
      const ICalTime* absolute_time
    )

#### Description [src]

Set the `trigegr` with the `E_CAL_COMPONENT_ALARM_TRIGGER_ABSOLUTE` kind and the `absolute_time` as the time of the trigger. The `absolute_time` should be date/time (not date) in UTC.

To set a relative trigger use e_cal_component_alarm_trigger_set_relative().

Available since: 3.34

#### Parameters

`absolute_time`

  Type: `None`

  The absolute time when to trigger the alarm, as an `ICalTime`.

  The data is owned by the caller of the method.